## xcp-vncterm 0.1

=== Makefile ===
TARGET = vncterm

OBJS := main.o console.o

LIBS_so := libvnc/libvnc.so
LIBS := libvnc/libvnc.a

CFLAGS  = -I$(shell pwd)/include
# _GNU_SOURCE for asprintf.
CFLAGS += -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE 
CFLAGS += -Wall -Werror -g -O1 

ifeq ($(shell uname),Linux)
LDLIBS := -lutil
endif

ifndef WITHOUT_XENSTORE
LDLIBS += -lxenstore
else
CFLAGS += -DNXENSTORE
endif

# Get gcc to generate the dependencies for us.
CFLAGS   += -Wp,-MD,$(@D)/.$(@F).d

SUBDIRS  = $(filter-out ./,$(dir $(OBJS) $(LIBS)))
DEPS     = .*.d

LDFLAGS := -g 

all: $(TARGET)

$(TARGET): $(LIBS) $(OBJS)
	gcc -o $@ $(LDFLAGS) $(OBJS) $(LIBS) $(LDLIBS)

%.o: %.c
	gcc -o $@ $(CFLAGS) -c $<

$(LIBS_so): %.so: ALWAYS
	$(MAKE) -C $(*D)

$(LIBS): %.a: ALWAYS
	$(MAKE) -C $(*D)

.PHONY: ALWAYS

clean:
	$(foreach dir,$(SUBDIRS),make -C $(dir) clean)
	rm -f $(OBJS)
	rm -f $(DEPS)
	rm -f $(TARGET)
	rm -f TAGS

.PHONY: TAGS
TAGS:
	find . -name \*.[ch] | etags -

-include $(DEPS)

print-%:
	echo $($*)

=== libvnc/Makefile ===
TARGET = libvnc
MAJOR = 1.0
MINOR = 0

OBJS := 
OBJS += d3des.o
OBJS += buffer.o
OBJS += vnc.o
OBJS += textterm.o

OBJS_opic = $(patsubst %.o,%.opic,$(OBJS))

XEN_ARCH := x86
XEN_TARGET := xen

CFLAGS  = -I$(shell pwd)/include
# _GNU_SOURCE for asprintf.
CFLAGS += -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE
CFLAGS += -Wall -Werror -g -O1

ifdef LOCAL
CFLAGS	+= -DVNCTERM_BIOS_DIR='"."'
endif

# Get gcc to generate the dependencies for us.
CFLAGS   += -Wp,-MD,$(@D)/.$(@F).d
DEPS     = .*.d

LDFLAGS := -g

SHLIB_CFLAGS = -shared
SONAME_LDFLAG = -soname

#all: $(TARGET).so $(TARGET).a
all: $(TARGET).a

$(TARGET).so: $(TARGET).so.$(MAJOR)
	ln -sf $< $@
$(TARGET).so.$(MAJOR): $(TARGET).so.$(MAJOR).$(MINOR)
	ln -sf $< $@

$(TARGET).so.$(MAJOR).$(MINOR): $(OBJS_opic)
	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,$(TARGET).so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $^

$(TARGET).a: $(OBJS)
	$(AR) rcs $(TARGET).a $^

%.opic: %.c
	$(CC) $(CPPFLAGS) -DPIC $(CFLAGS) -fPIC -c -o $@ $<

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f $(OBJS) $(OBJS_opic)
	rm -f $(DEPS)
	rm -f $(TARGET).so.$(MAJOR).$(MINOR) $(TARGET).so.$(MAJOR)
	rm -f $(TARGET).so $(TARGET).a
	rm -f TAGS

-include $(DEPS)

=== mk/Makefile ===
USE_BRANDING := yes
IMPORT_BRANDING := yes
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

REPO_NAME= vncterm
RPM_BUILD_COOKIE= $(MY_OBJ_DIR)/.rpm_build_cookie

J_FLAG = 8
MAKE_CMD= $(MAKE) -j$(J_FLAG) -C $(call hg_loc,vncterm)

-include $(MY_OBJ_DIR)/version.inc
$(MY_OBJ_DIR)/version.inc:
	rm -f $(MY_OBJ_DIR)/version.inc
	$(version-makefile) > $@
	$(call hg_cset_number,vncterm) >> $@
	echo VNCTERM_VERSION := \$$\(PRODUCT_VERSION\) >> $@
	echo VNCTERM_RELEASE := \$$\(CSET_NUMBER\) >> $@

CHANGELOG_DATE    := $(shell LANG=C date +"%a %b %d %Y")
CHANGELOG_USER    := $(COMPANY_NAME) <$(COMPANY_WEBSITE)>
CHANGELOG_HEADER  := * $(CHANGELOG_DATE) $(CHANGELOG_USER) [$(VNCTERM_VERSION) $(VNCTERM_RELEASE)]
CHANGELOG_MESSAGE := - Build vncterm.

.PHONY: build
build: $(RPM_BUILD_COOKIE)
	@ :

.PHONY: clean
clean:
	rm -f $(RPM_BUILD_COOKIE)
	rm -f $(MY_OBJ_DIR)/version.inc

SOURCES = $(RPM_SOURCESDIR)/vncterm-$(VNCTERM_VERSION).tar.bz2 \
	  $(RPM_SOURCESDIR)/vncterm-development.patch \
	  $(RPM_SPECSDIR)/vncterm.spec

$(RPM_SOURCESDIR)/vncterm-$(VNCTERM_VERSION).tar.bz2: $(RPM_SOURCESDIR)/.dirstamp $(call hg_loc,vncterm)
	hg -R $(call hg_loc,vncterm) archive -t tbz2 $@

$(RPM_SOURCESDIR)/vncterm-development.patch: $(RPM_SOURCESDIR)/.dirstamp $(call hg_loc,vncterm)
	hg -R $(call hg_loc,vncterm) diff > $@

$(RPM_SPECSDIR)/vncterm.spec: vncterm.spec.in $(RPM_SPECSDIR)/.dirstamp
# Use a temporary file because sed in rhel3 doesn't understand "\n"
	echo "$(CHANGELOG_HEADER)" > changelog.tmp
	echo "$(CHANGELOG_MESSAGE)" >> changelog.tmp
	echo "" >> changelog.tmp
	sed -e s\,@REPO_VERSION@,$(REPO_VERSION),g \
	    -e s\,@VNCTERM_VERSION@,$(VNCTERM_VERSION),g\
	    -e s\,@VNCTERM_RELEASE@,$(VNCTERM_RELEASE),g\
	    -e \\,%changelog,rchangelog.tmp             \
	    < vncterm.spec.in                           \
	    > $(RPM_SPECSDIR)/vncterm.spec
	-rm changelog.tmp

$(RPM_BUILD_COOKIE): $(RPM_DIRECTORIES) $(SOURCES)
	$(RPMBUILD) --target i686 -ba $(RPM_SPECSDIR)/vncterm.spec
	@touch $@

=== debian/changelog ===
xcp-vncterm (0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/missing-include: Add missing include to fix build failure
    with eglibc 2.17. (Closes: #701445)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jul 2013 01:52:39 +0200

xcp-vncterm (0.1-2) unstable; urgency=low

  * vncterm is moved to: /usr/lib/xcp/lib (instead of
  /usr/lib/xen-common/xapi/libexec/vncterm).
  * Apply upstream qemu patch to fix segfault
  * Added a watch file.

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Tue, 20 Dec 2011 09:04:26 +0000

xcp-vncterm (0.1-1) unstable; urgency=low

  * Initial release (Closes: #649285)

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Tue, 19 Jul 2011 23:38:14 +0100

=== debian/control ===
Source: xcp-vncterm
Section: utils
Priority: extra
Maintainer: PKG-Xen Devel <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 8), libxen-dev
Standards-Version: 3.9.2
Homepage: http://xen.org/products/cloudxen.html
Vcs-Git: http://anonscp.debian.org/git/pkg-xen/xcp-vncterm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/xcp-vncterm.git

Package: xcp-vncterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides VNC service for XCP guest VMs
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems.
 .
 This program to expose a virtual machine's serial console as a VNC terminal
 frame buffer.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_OPTIONS


%:
	dh $@

=== debian/watch ===
version=3
https://github.com/mcclurmc/vncterm/tags /mcclurmc/vncterm/tarball/master/(.+)
